## color-profile

color-profile —

## Synopsis

                FoColorProfile;
                FoColorProfileClass;
    FoFo*       fo_color_profile_new            (void);
    FoProperty* fo_color_profile_get_src        (FoFo *fo_fo);
    void        fo_color_profile_set_src        (FoFo *fo_fo,
                                                 FoProperty *new_src);

## Object Hierarchy

      GObject
       +----FoObject
             +----FoNode
                   +----FoFo
                         +----FoColorProfile

## Properties

      "src"                  FoProperty            : Read

## Description

## Details

### FoColorProfile

    typedef struct _FoColorProfile FoColorProfile;

### FoColorProfileClass

    typedef struct _FoColorProfileClass FoColorProfileClass;

### fo_color_profile_new ()

    FoFo*       fo_color_profile_new            (void);

Creates a new FoColorProfile initialized to default value.

Returns : | the new FoColorProfile.

### fo_color_profile_get_src ()

    FoProperty* fo_color_profile_get_src        (FoFo *fo_fo);

Gets the "src" property of `fo_fo`.

`fo_fo` : | The `FoFo` object.
Returns : | The "src" property value.

### fo_color_profile_set_src ()

    void        fo_color_profile_set_src        (FoFo *fo_fo,
                                                 FoProperty *new_src);

Sets the "src" property of `fo_fo` to `new_src`

`fo_fo` : | The FoFo object
`new_src` : | The new "src" property value

## Property Details

### The "`src`" property

      "src"                  FoProperty            : Read

Src property.